#!/Users/square/j/ws/release/tarball/osx/10.9/clang-802.0.42/miniconda3-4.5.4-fcd27eb/build/python/miniconda3-4.5.4/envs/lsst-scipipe-fcd27eb/bin/python  # noqa

from __future__ import print_function

import matplotlib
matplotlib.use('Agg')
import lsst.sims.maf.batches as batches
from run_generic import *


def setBatches(opsdb, colmap, args):
    bdict = {}

    # Per Night filter changes
    bdict.update(batches.filtersPerNight(colmap, args.runName, nights=1, extraSql=args.sqlConstraint))
    # Whole survey filter changes
    bdict.update(batches.filtersWholeSurvey(colmap, args.runName, extraSql=args.sqlConstraint))

    return bdict


if __name__ == '__main__':
    args = parseArgs(subdir = 'filterchange')
    opsdb, colmap = connectDb(args.dbfile)
    bdict = setBatches(opsdb, colmap, args)
    if args.plotOnly:
        replot(bdict, opsdb, colmap, args)
    else:
        run(bdict, opsdb, colmap, args)
    opsdb.close()
